package uibk.mtk.draw3d.objects.surface3d;

import java.awt.Graphics2D;

/**
 * Interface f?r zus?tzliches Rendern der Dreiecke einer <CODE>Surface3D
 * </CODE>
 * 
 * <p>
 * Farbmodell zum Setzen der Farben von Vertices die ?ber einen <CODE>Iterator
 * </CODE> abgerufen werden.
 * </p>
 * 
 * 
 * <p>
 * Copyright: Institut f?r Technische Mathematik, Geometrie und Bauinformatik,
 * 2003
 * </p>
 * 
 * @author Markus Unterweger (markus.unterweger@aon.at)
 */
public interface AdditionalRendering {

	/** Rendern des Dreiecks */
	void render(Triangle tri, Graphics2D g2);
}