package uibk.mtk.lang;

/**
 * Optionen und Einstellungen f?r die Mathe-Operationen
 * 
 * <p>
 * Copyright: Institut f?r Technische Mathematik, Geometrie und Bauinformatik,
 * 2003
 * </p>
 * 
 * @author Markus Unterweger (markus.unterweger@aon.at)
 */
public final class Settings {

	private Settings() {

	}

	/** Gibt die Rechengenauigkeit (Epsilon) zur?ck */
	public static double getMachinePrecision() {
		return 2.2E-16;
	}

	/** Gibt das zu verwendende Resourcebundle zur?ck */
	public static String getRessourceBundle() {
		return ""; //$NON-NLS-1$

	}

}