package uibk.mtk.math.functions;

/**
 * Interface f?r eine reelle Funktion von R->R
 * <p>
 * Copyright: Institut f?r Technische Mathematik, Geometrie und Bauinformatik,
 * 2003
 * </p>
 * 
 * @author Markus Unterweger (markus.unterweger@aon.at)
 */
public interface Function1D {

	/** gibt den Wert der Funktion an der Stelle <CODE>x</CODE> zur?ck */
	double getValue(double x);

	/** gibt den Wert der Ableitung an der Stelle <CODE>x</CODE> zur?ck */
	double getDerivation(double x) throws Exception;

}