package uibk.mtk.lang;

import java.awt.event.MouseEvent;

/**
 * Interface das Drawable Objekte implementieren m?ssen, falls Sie von
 * Mouseklick-Events informiert werden wollen.
 * <p>
 * Copyright: Institut f?r Technische Mathematik, Geometrie und Bauinformatik,
 * 2003
 * </p>
 * 
 * @author Markus Unterweger (markus.unterweger@aon.at)
 */
public interface Clickable {

	/** Klicken des Objekts */
	void click(MouseEvent ev);

	boolean clickcontains(int x, int y);

}