package uibk.mtk.lang;

/**
 * <CODE>Exception</CODE> die geworfen wird, falls bei einer Berechnung ein
 * Fehler auftritt (z.B. ?berlauf).
 * 
 * <p>
 * Copyright: Institut f?r Technische Mathematik, Geometrie und Bauinformatik,
 * 2003
 * </p>
 * 
 * @author Markus Unterweger (markus.unterweger@aon.at)
 */
public class ComputationException extends Exception {

	/** Erzeugt die Exception mit <CODE>null</CODE> als Nachricht* */
	public ComputationException() {
		super();

	}

	/** Erzeugt die Exception mit <CODE>message</CODE> als Nachricht* */
	public ComputationException(String message) {
		super(message);

	}

}